# Get Venue Rate Plan Booking Rules

<mark style="color:green;">`POST`</mark> `[PlatformAddress]/api/1.0/venue?action=getRatePlanBookingRules`

Return the rate plan booking rules for the given date and optionally room ids.

#### Request Body

| Name                                        | Type    | Description                                               |
| ------------------------------------------- | ------- | --------------------------------------------------------- |
| venueId<mark style="color:red;">\*</mark>   | integer | The unique id of the venue to which the room belongs.     |
| startDate<mark style="color:red;">\*</mark> | date    | The start date of the rate plan rule which it applies to. |
| endDate<mark style="color:red;">\*</mark>   | date    | The end date of the rate plan rule which it applies to.   |
| roomIds                                     | array   | The room ids to filter the rate plan rule.                |

{% tabs %}
{% tab title="200 " %}

```json
{
    "meta": {
        "totalResults": 3,
        "start": 0,
        "perPage": 3,
        "count": 3
    },
    "results": [
        {
            "barId": 1,
            "roomId": 6,
            "date": "2026-05-09",
            "closeOutStatus": 2
        },
        {
            "barId": 1,
            "roomId": 6,
            "date": "2026-05-10",
            "closeOutStatus": 2
        },
        {
            "barId": 1,
            "roomId": 6,
            "date": "2026-05-11",
            "closeOutStatus": null
        }
    ]
}

```

{% endtab %}
{% endtabs %}

### Date Range Restrictions

* **startDate and endDate**: The maximum date range is 31 days. Past dates are not allowed.

### Returns

A collection object with the following properties in result

| Property       | Data Type | Description                                                  |
| -------------- | --------- | ------------------------------------------------------------ |
| barId          | string    | The unique id of the rate plan                               |
| date           | date      | The date of the rate plan rule which it applies to           |
| roomId         | integer   | The unique id of the room                                    |
| closeOutStatus | integer   | The close out status of the rate plan rule on the given date |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.ivvy.com/venues/venuedata/get-rate-plan-booking-rules.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
